Bug 178865 - [patch] mail/opendkim - avoid using SITE_PERL
Summary: [patch] mail/opendkim - avoid using SITE_PERL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-23 18:50 UTC by Andrej Zverev
Modified: 2013-05-25 09:10 UTC (History)
0 users

See Also:


Attachments
patch.diff (463 bytes, patch)
2013-05-23 18:50 UTC, Andrej Zverev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Zverev freebsd_committer 2013-05-23 18:50:00 UTC
	Avoid using SITE_PERL.
Comment 1 Edwin Groothuis freebsd_committer 2013-05-23 18:50:07 UTC
Maintainer of mail/opendkim,

Please note that PR ports/178865 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178865

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-05-23 18:50:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Hirohisa Yamaguchi 2013-05-25 08:50:59 UTC
Hi,

At Thu, 23 May 2013 17:50:07 UT,
Edwin Groothuis wrote:
> 
> Maintainer of mail/opendkim,
> 
> Please note that PR ports/178865 has just been submitted.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178865

I approve the patch, thanks.

-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 4 dfilter service freebsd_committer 2013-05-25 09:06:17 UTC
Author: az
Date: Sat May 25 08:06:10 2013
New Revision: 319032
URL: http://svnweb.freebsd.org/changeset/ports/319032

Log:
  - Avoid using SITE_PERL in dependencies
  
  PR:		ports/178865
  Submitted by:	az
  Approved by:	Hirohisa Yamaguchi <umq@ueo.co.jp> (maintainer)

Modified:
  head/mail/opendkim/Makefile.features

Modified: head/mail/opendkim/Makefile.features
==============================================================================
--- head/mail/opendkim/Makefile.features	Sat May 25 07:46:10 2013	(r319031)
+++ head/mail/opendkim/Makefile.features	Sat May 25 08:06:10 2013	(r319032)
@@ -63,7 +63,7 @@ CONFIGURE_ARGS+=	--enable-identity_heade
 .if ${PORT_OPTIONS:MLCOV}
 BROKEN=			Does not install
 BUILD_DEPENDS+=		lcov:${PORTSDIR}/devel/lcov \
-			${SITE_PERL}/${PERL_ARCH}/GD.pm:${PORTSDIR}/graphics/p5-GD
+			p5-GD>=0:${PORTSDIR}/graphics/p5-GD
 CONFIGURE_ARGS+=	--with-lcov
 .else
 CONFIGURE_ARGS+=	--without-lcov
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Andrej Zverev freebsd_committer 2013-05-25 09:06:25 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!